curl -X POST https://api.livchat.ai/v1/groups/create \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Project Team",
"participants": ["5511999999999", "5511888888888"]
}'
{
"success": true,
"code": 200,
"data": {
"jid": "120363123456789@g.us",
"name": "Project Team",
"ownerJid": "5511777777777@s.whatsapp.net",
"groupCreated": "2024-12-10T10:00:00Z",
"participants": [
{
"jid": "5511777777777@s.whatsapp.net",
"isAdmin": true,
"isSuperAdmin": true
},
{
"jid": "5511999999999@s.whatsapp.net",
"isAdmin": false,
"isSuperAdmin": false
}
]
}
}
Groups
Create Group
Create a new WhatsApp group
POST
/
v1
/
groups
/
create
curl -X POST https://api.livchat.ai/v1/groups/create \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Project Team",
"participants": ["5511999999999", "5511888888888"]
}'
{
"success": true,
"code": 200,
"data": {
"jid": "120363123456789@g.us",
"name": "Project Team",
"ownerJid": "5511777777777@s.whatsapp.net",
"groupCreated": "2024-12-10T10:00:00Z",
"participants": [
{
"jid": "5511777777777@s.whatsapp.net",
"isAdmin": true,
"isSuperAdmin": true
},
{
"jid": "5511999999999@s.whatsapp.net",
"isAdmin": false,
"isSuperAdmin": false
}
]
}
}
Create a new WhatsApp group with specified name and participants.
Request Body
Group name (max 25 characters)
Array of phone numbers to add as participants
curl -X POST https://api.livchat.ai/v1/groups/create \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Project Team",
"participants": ["5511999999999", "5511888888888"]
}'
{
"success": true,
"code": 200,
"data": {
"jid": "120363123456789@g.us",
"name": "Project Team",
"ownerJid": "5511777777777@s.whatsapp.net",
"groupCreated": "2024-12-10T10:00:00Z",
"participants": [
{
"jid": "5511777777777@s.whatsapp.net",
"isAdmin": true,
"isSuperAdmin": true
},
{
"jid": "5511999999999@s.whatsapp.net",
"isAdmin": false,
"isSuperAdmin": false
}
]
}
}
You will automatically be the group admin/owner.
⌘I